Bank Mega - Bug #3671

perbaikan pada report mutasi dimana pada saat di view terjadi error
06/18/2025 03:03 PM - Muhammad Bintar

Status: QA Test Start date: 06/18/2025
Priority: Normal Due date: 06/23/2025
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description

dear tim developer mohon supportnya untuk perbaikan pada report mutasi dimana pada saat di view terjadi error

=] Referznce Letier

= + Recap Project Minova
¥
71 MINOVAIS
BANK MEGA ~
r
MinovaERP Navigation «“ Home || Employes Reminder Report Mutasi =
MinovaERP Menu Report Filter
E] Employes Reminde &
=] Performance Histor Effective Date: 18/0€/2025 |
=] Emglcyes Assignmi Yeare of Servicas From: = =
=] Family Member (M)
=] Education (N} Years of Services To: X 25
=] Werk Experience (b Position:
=] Employe= CV
=] All Employes Selectad Position:
=5k N) i R
=] Reward | Grievance e
=] Languags Skill (N}
=] Communication Dal
Erienispesnl || TR &0 b b Vet @
=] Secondary Job (N} X .
=R Mutasi An error has ocourred during report processing,

Query execution failed for dataser 'DataSerl’
For more information about this eror navigate to the report server on the local server machine, or enable remate errors

=] Surat Pengantar
=] Disnaker Letter
=] File Data
=] Report Audit Trail
=] MD Approver
=] Maintain PA Temp
=] Delete MD Employes
=1 Unload PATemo

sp nya sp_hr_md_emp_mutasi

DECLARE @EffectiveDate VARCHAR (10) ='20250618'
DECLARE @Position VARCHAR (MAX) ="

DECLARE @YearsFrom INT ="

DECLARE @MonthFrom INT="

DECLARE @YearsTo INT ="

DECLARE @MonthTo INT="

DECLARE @user_id VARCHAR (MAX)="all

di query error
‘ | Execute | ‘ ‘ | | -

Object Explorer 01X Jueryl.sql - re..velopment (sa (84))
FTRR SET @Empl Al (sel
Connect~ ¥ *¥ ¢ - @Employee_Area (e
= i@ MinovaHR_BANK_MEGA_Development DECLARE @Employee0ffice VARCHAR (18)=""
Database Diagrams SET @Employeedffice =

=] Tables (filtered)
System Tables
FileTables @ @\ |-t Crayrollbroup = [3E2ECL.BYOSL ETOUP 1rom U3 A
External Tables
Graph Tables SET @GradeMin = (select grade min from #userid

EH dbo.base_cust_ref_report_pendidikan

EH dbo.base_cust_report_catalog

FH dbo.base_cust_report_component

EH dbo.base_cust_report_parameter

EEEEEEB

=ISELECT DISTINCT

ER dbo.hr_cust_py_report .
A dbo.hr_cust, o report additional a.org id 61 A5 levell,
& .
-CUSE_py_fepor.. a.org name 81 AS levell desc, -
ER dbo.hr_cust_py_report_template 100% ~ 4 »
&= dbo.hr_cust_report_catalo
wE - -report g Eﬁ Messages
EH dbo.hr_cust_report_parameter
N a
Views {1 row affected)
External Resources Msg 8152, Lewel 16, State 30, Line 68
Synonyms String or binsry data would be truncated.
= Programmability The statement has been terminated.

[=] Stored Procedures (filtered)

a ffected,
System Stored Procedures {0 zows affected)

® =

dbo.sp_hr_md_emp_mutasi 10 zows affecued)
Functions
Database Triggers 10 rows affected)
Assemblies Warning: Null value is eliminated by an aggregate or other SET cperaticn.
Types
R)'T {15437 rows affected) =
ules
00% -
Defaults =

referensi redmine http://remote.minovais.com:3000/redmine/issues/3522

remote.minovais.com:31139
database

remote.minovais.com, 1458
MinovaHR Bank Mega Development

History

#1 - 06/18/2025 03:09 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar

dear Bintar & Daud,

ini case muncul di prod mereka atau kondisi dsini saat kita mau ngetest sesuatu ya di port dev kita?

Untuk checking dan fixing ini sbimd lakukan, kita estimasi dl mandaysnya yaa buat nanti memotong kuota mandays mereka jadi baiknya ini di follow
up oleh Rachman dulu

Tks

#2 - 06/18/2025 04:21 PM - Muhammad Bintar

- Assignee changed from Muhammad Bintar to Kezia Pawitra Yulianti

ini CR yang terkait dengan penambahan org group. salah satu impact nya ke report mutasi. jadi pas di tes di port development bank mega sana, tidak
keluar data nya

#3 - 06/19/2025 11:13 AM - Muhammad Bintar

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty

#4 - 06/20/2025 04:04 PM - Tri Rizqiaty
- File GetOrgIinOrgWide _20250620.sql added
- File GetOrgInOrgWideDetail_20250620.sql added

- Status changed from Assigned to Developing
Fixing :
Update Function: GetOrgInOrgWide.sql & GetOrglnOrgWideDetail.sql (terlampir)

#5 - 06/20/2025 04:04 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

07/02/2025 2/3



http://remote.minovais.com:3000/redmine/issues/3522

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar
